# Handling Time

By default, all datetime values returned by the API are in UTC. The API provides `start_time` and `end_time` query parameters to filter results based on a specific time range. These parameters only filter on a dataset's `time_index_column`. If a dataset does not have a `time_index_column`, these parameters do not apply.

* `start_time`: Specifies the start of the time range for the query. Records with a timestamp equal to or greater than the `start_time` will be returned. Format: `YYYY-MM-DDTHH:MM-HH:MM`
* `end_time`: Specifies the end of the time range for the query. The `end_time` is not included. Records with a timestamp less than the `end_time` will be returned. Format: `YYYY-MM-DDTHH:MM-HH:MM`

A few notes about how datetime parameters are handled:

* If no `start_time` or `end_time` are specified, the API will return all records
* If no timezone or offset is specified, the API defaults to using UTC. For example, `2021-01-01T00:00` is equivalent to `2021-01-01T00:00+00:00`.
* If only a date is provided without a time, it is assumed to be 00:00 of that day. For example, `2021-01-01` is equivalent to `2021-01-01T00:00+00:00`.
* You can provide a timezone offset in the format `+HH:MM` or `-HH:MM`. For example, `2021-01-01T00:00-05:00` is equivalent to `2021-01-01T05:00+00:00`.

Examples of valid time strings:

* `2021-01-01T00:00+00:00`
* `2021-01-01T00:00-05:00`
* `2021-01-01T00:00`
* `2021-01-01`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridstatus.io/developers/concepts/handling-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
